#397 closed defect (fixed)

undefined reference to `peer_mru'

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: network/legacy Version: unknown
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

Having added pppd/example as tests/sample/pppd and having converted it to using automake in my local source tree, this happens:

i386-rtems-gcc --pipe -B../../../../../lib/ -B../../../../../pc386dx/lib/ -specs bsp_specs -qrtems -msoft-float -mno-fp-ret-in-387 -O4 -g -Wall -ansi -fasm -Wl,-Ttext,0x00100000 -o o-optimize/pppd.obj o-optimize/init.o
o-optimize/pppdapp.o ../../../../../pc386dx/lib/no-dpmem.rel ../../../../../pc386dx/lib/no-msg.rel ../../../../../pc386dx/lib/no-mp.rel ../../../../../pc386dx/lib/no-part.rel ../../../../../pc386dx/lib/no-signal.rel ../../../../../pc386dx/lib/no-timer.rel ../../../../../pc386dx/lib/no-rtmon.rel
../../../../../pc386dx/lib/librtemsbsp.a(lcp.o): In function `lcp_lowerup':
/users/rtems/src/rtems-cvs/build/i386/i386-rtems/c/pc386dx/libnetworking/pppd/../../../../../../../rtems-4-6-branch/c/src/libnetworking/pppd/lcp.c:373: undefined reference to `peer_mru'
../../../../../pc386dx/lib/librtemsbsp.a(lcp.o): In function `lcp_resetci':
/users/rtems/src/rtems-cvs/build/i386/i386-rtems/c/pc386dx/libnetworking/pppd/../../../../../../../rtems-4-6-branch/c/src/libnetworking/pppd/lcp.c:536: undefined reference to `peer_mru'
../../../../../pc386dx/lib/librtemsbsp.a(lcp.o): In function `lcp_up':
/users/rtems/src/rtems-cvs/build/i386/i386-rtems/c/pc386dx/libnetworking/pppd/../../../../../../../rtems-4-6-branch/c/src/libnetworking/pppd/lcp.c:1568: undefined reference to `peer_mru'
../../../../../pc386dx/lib/librtemsbsp.a(lcp.o): In function `lcp_down':
/users/rtems/src/rtems-cvs/build/i386/i386-rtems/c/pc386dx/libnetworking/pppd/../../../../../../../rtems-4-6-branch/c/src/libnetworking/pppd/lcp.c:1595: undefined reference to `peer_mru'
collect2: ld returned 1 exit status

Release:
RTEMS-4-6-branch

Change History (3)

comment:1 Changed on May 16, 2003 at 12:31:07 PM by Ralf Corsepius

Owner: changed from eric to joel
Status: assignedsuspended

comment:2 Changed on Jun 13, 2003 at 4:51:30 PM by Joel Sherrill

Status: suspendedclosed

State-Changed-From-To: suspended->closed
State-Changed-Why: Patch is applied to both trunk and branch. This appears

to have fixed this problem.

comment:3 Changed on Oct 10, 2017 at 6:44:19 AM by Sebastian Huber

Component: pppdnetwork/legacy
Note: See TracTickets for help on using tickets.